#!/bin/sh

# This script will copy the files required for the ph022 bootflash
BOOT_FOLDER=~/projects/rx/dolby_mezz/ph022

# Create the folder if it doesn't exist
mkdir -p ${BOOT_FOLDER}

# Copy the files, preserving timestamps etc.
echo "Copy boot files to ${BOOT_FOLDER}"
cp -p ~/workdir/rx/x-loader/MLO ${BOOT_FOLDER}/MLO
cp -p ~/workdir/rx/u-boot/u-boot.bin ${BOOT_FOLDER}//u-boot.bin
cp -p ~/workdir/rx/linux-03.00.01.06/arch/arm/boot/uImage ${BOOT_FOLDER}/uImage
cp -p ~/workdir/cramfs ${BOOT_FOLDER}/cramfs

# Calculate the MD5 checksums
echo "Calculate MD5 sums:"
pushd ${BOOT_FOLDER} > /dev/null
rm -f md5sums
md5sum MLO u-boot.bin uImage cramfs > md5sums
cat md5sums
popd > /dev/null

echo "Done"

